#!/bin/bash
#Linux Onboarding Oneshot script for izebra networks.
#Installs fish, starship, and sets up some shell tweaks that are nice to have.
#Check script is running as root
if [ "$EUID" -ne 0 ] 
	then echo "Please run as Root"
	exit 1
fi

#define variables
fishconfig="https://git.izebra.net/izebra_projects/rmm-scripts/raw/branch/main/config-files/config.fish"
starshipconfig="https://git.izebra.net/izebra_projects/rmm-scripts/raw/branch/main/config-files/starship.toml"

#Check for updates
sudo apt update

#install fish and copy config file to root and all users under /home/
sudo apt install fish -y
wget $fishconfig -P "$HOME/.config/fish/config.fish"
 for homedir in /home/*; do
	sudo cp -r $HOME/.config/fish/config.fish "$homedir/.config/fish/"; 
done

#install pyenv
curl https://pyenv.run | bash

#Download starship and copy config file to root and all users under /home/
curl -sS https://starship.rs/install.sh | sh
wget $starshipconfig -P "$HOME/.config/starship.toml"
for homedir in /home/*; do 
	sudo cp -r $HOME/.config/starship.toml "$homedir/.config/"; 
done


#Change default shell to fish
chsh -s /usr/bin/fish


